## NMDeviceDummy

NMDeviceDummy

## Functions

const char * | nm_device_dummy_get_hw_address ()

## Types and Values

#define | NM_DEVICE_DUMMY_HW_ADDRESS
| NMDeviceDummy

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceDummy

## Description

## Functions

### nm_device_dummy_get_hw_address ()

    const char *
    nm_device_dummy_get_hw_address (NMDeviceDummy *device);

`nm_device_dummy_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceDummy

[skip]

#### Parameters

device | a NMDeviceDummy |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 1.10

## Types and Values

### NM_DEVICE_DUMMY_HW_ADDRESS

    #define NM_DEVICE_DUMMY_HW_ADDRESS "hw-address"

### NMDeviceDummy

    typedef struct _NMDeviceDummy NMDeviceDummy;

Since: 1.8